FROM python:3.9

WORKDIR /code

# The requirements file won't change frequently, so copying it separetely
# from the rest of the app allows Docker to use efficiently its caching system

COPY ./requirements.txt /code/requirements.txt

RUN pip install --no-cache-dir --upgrade -r /code/requirements.txt

COPY ./app /code/app

EXPOSE 8888

CMD ["uvicorn", "app.main:app", "--host", "0.0.0.0", "--port", "8888"]